umbrello: DocumentationWidget Class Reference

umbrello 2.31.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DocumentationWidget Class Reference

`#include <documentationwidget.h>`

Inheritance diagram for DocumentationWidget:

## Public Member Functions
| DocumentationWidget (UMLObject *o, QWidget *parent=0)
| DocumentationWidget (UMLWidget *w, QWidget *parent=0)
| DocumentationWidget (AssociationWidget *w, QWidget *parent=0)
| ~DocumentationWidget ()
void | apply ()

## Protected Member Functions
void | init (const QString &text)

## Protected Attributes
QGroupBox * | m_box
KTextEdit * | m_editField
CodeTextEdit * | m_codeEditField
UMLObject * | m_object
UMLWidget * | m_widget
AssociationWidget * | m_assocWidget

## Constructor & Destructor Documentation

## ◆ DocumentationWidget() [1/3]

DocumentationWidget::DocumentationWidget | ( | UMLObject * | o,
|  | QWidget * | parent = `0`
| ) |  |
| explicit

## ◆ DocumentationWidget() [2/3]

DocumentationWidget::DocumentationWidget | ( | UMLWidget * | w,
|  | QWidget * | parent = `0`
| ) |  |
| explicit

## ◆ DocumentationWidget() [3/3]

DocumentationWidget::DocumentationWidget | ( | AssociationWidget * | w,
|  | QWidget * | parent = `0`
| ) |  |
| explicit

## ◆ ~DocumentationWidget()

DocumentationWidget::~DocumentationWidget | ( |  | ) |

## Member Function Documentation

## ◆ apply()

void DocumentationWidget::apply | ( |  | ) |

Apply changes to the related UMLObject.

## ◆ init()

void DocumentationWidget::init | ( | const QString & | text | ) |
| protected

initialize widget

Parameters

  text | text to display

## Member Data Documentation

## ◆ m_assocWidget

AssociationWidget* DocumentationWidget::m_assocWidget
| protected

## ◆ m_box

QGroupBox* DocumentationWidget::m_box
| protected

## ◆ m_codeEditField

CodeTextEdit* DocumentationWidget::m_codeEditField
| protected

## ◆ m_editField

KTextEdit* DocumentationWidget::m_editField
| protected

## ◆ m_object

UMLObject* DocumentationWidget::m_object
| protected

## ◆ m_widget

UMLWidget* DocumentationWidget::m_widget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/documentationwidget.h
- umbrello/dialogs/widgets/documentationwidget.cpp